<script type="text/javascript" src="https://ajax.googleapis.com/ajax/libs/jquery/3.1.0/jquery.min.js"></script>
<input id="id" type="text" value="255">
<button onclick = "onClick()">cliquer</button>
<div id="results"/>
<script>
    function onClick() {
        var val = document.getElementById("id").value;
        couleurI = parseInt(val);
        couleurH = CouleurRGBToHex(couleurI);
        // alert("test : " + couleurI + ", coul : " + couleurH) ;

        $.ajax({
            type: "POST",
            beforeSend: function (request) {
                request.setRequestHeader("X-Auth-Token", "tata");
            },
            url: "entities",
            data: "json=" + escape(JSON.stringify(couleurH)),
            processData: false,
            success: function (msg) {
                $("#results").append("The result =" + StringifyPretty(msg));
            },
            failure: function (msg) {
                $("#results").append("Echec");
            }
        });

    }

    function CouleurRGBToHex(couleur) {

        var Reste1 = couleur % (256 * 256);
        var blue = (couleur - Reste1) / (256 * 256);
        var Reste2 = Reste1 % 256;

        var green = (Reste1 - Reste2) / 256;

        var red = Reste2;

        var redH = red.toString(16);
        var greenH = green.toString(16);
        var blueH = blue.toString(16);
        var val = '#' + redH.padStart(2, '0')
                + greenH.padStart(2, '0')
                + blueH.padStart(2, '0');

        if (val == '#000000') {
            val = '#ffffff';
        }

        return val;
    }
    function RGB(r, g, b) {
        return r + g * 256 + b * 256 * 256;
    }
</script>